package com.realnet.simple_notes_taking_20251009_044730-b.Services;
import com.realnet.simple_notes_taking_20251009_044730-b.Repository.NotetakingwireframeRepository;
import com.realnet.simple_notes_taking_20251009_044730-b.Entity.Notetakingwireframe
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class NotetakingwireframeService {
@Autowired
private NotetakingwireframeRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Notetakingwireframe Savedata(Notetakingwireframe data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Notetakingwireframe save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Notetakingwireframe> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Notetakingwireframe> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Notetakingwireframe> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Notetakingwireframe getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Notetakingwireframe update(Notetakingwireframe data,Integer id) {
	Notetakingwireframe old = Repository.findById(id).get();
old.setNotetitle(data.getNotetitle());

old.setNotecontent(data.getNotecontent());

old.setCreationdate(data.getCreationdate());

old.setIsimportant(data.getIsimportant());

final Notetakingwireframe test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
